﻿/**** background ****/
body, html {
    height: 100%;
    margin: 0;
}

.bg {
    width: 100%;
    height: 100%;
    position: absolute;
    background-image: linear-gradient(rgba(0,0,0,0.8), rgba(0,0,0,0.8)), url(../../images/login-pg-bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}
    .bg:after {
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        background: rgba(255, 255, 255, 0.2);
        content: "";
    }

/**** preloader ****/
#preloader {
    width: 100%;
    height: 100%;
    background: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

#preloader-element {
    width: 70px;
    height: 24px;
    position: relative;
    left: 0px;
    right: 0px;
    margin: 0 auto;
    top: 50%;
    transform: translateY(-50%);
    border-radius: 50%;
    z-index: 1001;
    animation: spin 2s linear infinite;
}

.circ-one,
.circ-two {
    position: relative;
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 100%;
}

.circ-one {
    background: #42d79e;
    float: left;
    animation: load-x 1s cubic-bezier(0.445, 0.1, 0.55, 0.9) infinite;
}

.circ-two {
    background: #57bce2;
    float: right;
    animation: load-y 1s cubic-bezier(0.445, 0.1, 0.55, 0.9) infinite;
}

@keyframes load-x {
    0% {
        left: -5px;
    }

    25% {
        z-index: 2;
    }

    50% {
        left: 50px;
    }

    75% {
        z-index: 1;
    }

    100% {
        left: -5px;
    }
}

@keyframes load-y {
    0% {
        right: -5px;
    }

    25% {
    }

    50% {
        right: 50px;
        z-index: 1;
    }

    75% {
        z-index: 2;
    }

    100% {
        right: -5px;
    }
}

@keyframes pulse {
    50% {
        opacity: 0.5;
    }
}

/**** operation area ****/
.area {
    background: #fff;
    font-family: 'Microsoft YaHei UI';
    z-index: 1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
    .area .title {
        padding: 30px 0 34px;
        text-align: center;
        font-size: 25px;
        font-weight: 400;
        color: #3a4951;
    }
    .area .content {
        display: flex;
        flex-direction: row;
        text-align: left;
    }
    .area .action {
        padding: 30px 0 50px;
        display: flex;
        flex-direction: row;
        justify-content: center;
    }
    .area .description {
        display: flex;
        align-items: center;
        width: 410px;
        padding: 0px 20px 20px 60px;
    }
    .area .seperator {
        width: 1px;
        background-color: lightsteelblue;
    }
    .area .information {
        width: 460px;
        padding: 10px 20px 20px;
        text-align: left;
    }


.area0 {
    background: #fff;
    font-family: 'Microsoft YaHei UI';
    z-index: 1;
    height:100vh;
    width: 100%;
}

    .area0 .title {
        padding: 30px 0 34px;
        text-align: center;
        font-size: 25px;
        font-weight: 400;
        color: #3a4951;
    }
    .area0 .content {
        display: flex;
        flex-direction: row;
        text-align: left;
    }
    .area0 .action {
        padding: 30px 0 50px;
        display: flex;
        flex-direction: row;
        justify-content: center;
    }
    .area0 .description {
        display: flex;
        align-items: center;
        width: 410px;
        padding: 0px 20px 20px 60px;
    }
    .area0 .seperator {
        width: 1px;
        background-color: lightsteelblue;
    }
    .area0 .information {
        width: 460px;
        padding: 10px 20px 20px;
        text-align: left;
    }

.reminder {
    color: green;
    font-size: 12px;
}
.reminder2 {
    position: relative;
    left: 17px;
    text-indent: -17px;
    color: green;
    font-size: 12px;
}
.mywait {
    -webkit-animation: spin 3s linear infinite;
    -moz-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}

@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
